Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • uuid string Required
application/json

Body

  • name string Required

    Description of contact detail

    Maximum length is 255.

  • value string(international phone) | string(UK phone) | object | string(email) Required

    Contact Detail value can be provided in various formats. Phone number or email address depending on the type.

    One of:

    Phone number in international format

    Phone number in UK standard format

    Email address

  • account_uuids array[string(uuid)] Required

    The UUIDs of the accounts who should own the contact detail. These must only be client accounts.

  • primary_account_uuids array[string(uuid)]

    The UUIDs of the accounts who should have the contact detail as their primary contact detail.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string

      The UUID of the resource.

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

    • type string

      Contact detail type

    • name string

      Contact detail description

    • value string

      Contact detail value

    • phone_number_meta object

      If the type is a phone number, this additional field will be displayed giving you information about the phone number.

      Hide phone_number_meta attributes Show phone_number_meta attributes object
      • country string
      • formatted string
    • accounts object

      Accounts that own contact detail

      Hide accounts attributes Show accounts attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • role string
      • first_name string
      • last_name string
      • name string
      • email string
      • photo_url string
      • firm string
      • primary_phone_number string
      • primary_email string
      • current_time_entry string
      • assigned_adviser string
      • assigned_administrator string
      • assigned_paraplanner string
      • introduced_by string
      • business_unit string
      • groups string
      • tags string
      • owners string
      • first_contact_date string
      • next_review_date string
      • previous_review_date string
      • anniversary_review_date string
      • terms_of_business_at string
      • client_agreement_at string
      • with_login boolean
      • has_joint_account boolean
      • can_be_deleted string
      • joint_account_circle string
      • circles string
      • ownership_percentage integer
      • inactive_at string
      • last_interaction_at string
      • referral_code string
      • permissions object
        Hide permissions attributes Show permissions attributes object
        • firm:read array[string]
        • network:read array[string]
      • custom_fields string
      • external_references string
PUT /api/v2/contact-details/{uuid}
curl \
 --request PUT 'https://api.plannrcrm.com/api/v2/contact-details/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{"name":"Work phone number","value":"+44751488454","account_uuids":["84059bfa-f95a-4d30-a586-e4d97834385c","135c9cbb-ac96-431d-b2df-2baf9fd90f25","10130f1a-d26c-4d90-b5c9-9e850a8a853a"],"primary_account_uuids":["82c168f5-3c28-4a94-bb21-2c87f353e87e","89d4339a-64ce-4e15-bc88-5127687d3916","a8b21651-80c5-432a-852b-727c50731166"]}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "name": "Work phone number",
  "value": "+44751488454",
  "account_uuids": [
    "84059bfa-f95a-4d30-a586-e4d97834385c",
    "135c9cbb-ac96-431d-b2df-2baf9fd90f25",
    "10130f1a-d26c-4d90-b5c9-9e850a8a853a"
  ],
  "primary_account_uuids": [
    "82c168f5-3c28-4a94-bb21-2c87f353e87e",
    "89d4339a-64ce-4e15-bc88-5127687d3916",
    "a8b21651-80c5-432a-852b-727c50731166"
  ]
}
Response examples (200)
{
  "uuid": "f2e12d49-d7f1-437a-ada6-3723557b81ee",
  "created_at": "2026-05-20T13:55:10+01:00",
  "updated_at": "2026-05-20T13:55:10+01:00",
  "type": "phone_number",
  "name": "Work number",
  "value": "+443330903630",
  "phone_number_meta": {
    "country": "GB",
    "formatted": "0333 090 3630"
  },
  "accounts": {
    "uuid": "934a7ecc-53d1-43ee-86bd-a6f0ee741d90",
    "created_at": "2026-05-20T13:55:10+01:00",
    "updated_at": "2026-05-20T13:55:10+01:00",
    "type": "client",
    "role": "client",
    "first_name": "Gareth",
    "last_name": "Thompson",
    "name": "Gareth Thompson",
    "email": "gareth@codepotato.co.uk",
    "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
    "firm": "App\\Http\\Resources\\FirmResource",
    "primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
    "primary_email": "App\\Http\\Resources\\ContactDetailResource",
    "current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
    "assigned_adviser": "App\\Http\\Resources\\AccountResource",
    "assigned_administrator": "App\\Http\\Resources\\AccountResource",
    "assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
    "introduced_by": "App\\Http\\Resources\\AccountResource",
    "business_unit": "App\\Http\\Resources\\BusinessUnitResource",
    "groups": "App\\Http\\Resources\\GroupResource",
    "tags": "App\\Http\\Resources\\TagResource",
    "owners": "App\\Http\\Resources\\AccountResource",
    "first_contact_date": "2026-05-20T13:55:10+01:00",
    "next_review_date": "2026-05-20T13:55:10+01:00",
    "previous_review_date": "2026-05-20T13:55:10+01:00",
    "anniversary_review_date": "2026-05-20T13:55:10+01:00",
    "terms_of_business_at": "2026-05-20T13:55:10+01:00",
    "client_agreement_at": "2026-05-20T13:55:10+01:00",
    "with_login": true,
    "has_joint_account": true,
    "can_be_deleted": "false",
    "joint_account_circle": "App\\Http\\Resources\\CircleResource",
    "circles": "App\\Http\\Resources\\CircleResource",
    "ownership_percentage": 100,
    "inactive_at": "2026-05-20",
    "last_interaction_at": "2026-05-20 13:55:10",
    "referral_code": "ABC12345",
    "permissions": {
      "firm:read": [
        "firm"
      ],
      "network:read": [
        "network:uuid"
      ]
    },
    "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
    "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
  }
}